Bug 109637 - Enh: add warning about removing contents on /var/log/rhr with "resolution" script
Enh: add warning about removing contents on /var/log/rhr with "resolution" sc...
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2-tests (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
Rob Landry
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-11-10 10:20 EST by Glen A. Foster
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-29 11:34:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2003-11-10 10:20:17 EST
Description of problem: It's certainly not a problem that the
resolution script removes the contents of /var/log/rhr/ when it
creates the RPM for submittal... but good U/I design generally
dictates that when data is about to be seriously modified, the user
receives _some_ notification it's about to happen and gets an
opportunity to abort the operation before it happens.

Version-Release number of selected component (if applicable):
# rpm -q rhr2
Comment 1 Rob Landry 2003-11-10 15:09:10 EST
added to CVS; will now prompt user ensuring they are aware that
/var/log/rhr will be removed after building the results package.
Comment 2 Glen A. Foster 2004-01-25 19:29:42 EST
This fix doesn't show up in the 0.9-14.2 RPMs posted to Rob's people
page.  Is that intentional?
Comment 3 Rob Landry 2004-09-14 10:06:57 EDT
Yes and no; originally CVS was headed down the -15 route; since I
didn't want to introduce new packages in the middle and -15 wasn't
that well tested (turns out it's pretty busted) -14 was returned to
but unfortunately didn't inherit this change.  This has been added to
the -14 tree now.  I'll post new test packages later today.
Comment 4 Rob Landry 2005-04-14 12:52:38 EDT
Don't recall when initially added, but this is already in -17beta.

Note You need to log in before you can comment on or make changes to this bug.